DOM::CSS2CounterIncrement Class Reference

`#include <css_extensions.h>`

## Public Member Functions

| CSS2CounterIncrement (const CSS2CounterIncrement &other)
| CSS2CounterIncrement (CSS2CounterIncrementImpl *impl)
CSS2CounterIncrement & | operator= (const CSS2CounterIncrement &other)
DOM::DOMString | identifier () const
void | setIdentifier (const DOM::DOMString &)
short | increment () const
void | setIncrement (const short)

## Detailed Description

The `CSS2CounterIncrement` interface represents a imple value for the counter-increment CSS Level 2 property.

Definition at line 447 of file css_extensions.h.

## Member Function Documentation

DOMString CSS2CounterIncrement::identifier | ( |  | ) | const

The element name.

Definition at line 256 of file css_extensions.cpp.

short CSS2CounterIncrement::increment | ( |  | ) | const

The increment (default value is 1).

Definition at line 267 of file css_extensions.cpp.

void CSS2CounterIncrement::setIdentifier | ( | const DOM::DOMString & | value | ) |

see identifier

Exceptions

  DOMException | SYNTAX_ERR: Raised if the specified identifier has a syntax error and is unparsable.

NO_MODIFICATION_ALLOWED_ERR: Raised if this identifier is readonly.

Definition at line 262 of file css_extensions.cpp.

void CSS2CounterIncrement::setIncrement | ( | const short | _increment | ) |

see increment

Exceptions

  DOMException | NO_MODIFICATION_ALLOWED_ERR: Raised if this identifier is readonly.

Definition at line 273 of file css_extensions.cpp.

The documentation for this class was generated from the following files:

- css_extensions.h
- css_extensions.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys